> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atlast.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a shipment collection

Royal Mail collections can be cancelled using this endpoint.
Do not attempt to cancel collections that are just about to happen or have already been collected.
Such calls will likely fail.

<Note>
  This endpoint is only available for Royal Mail collections.
</Note>


## OpenAPI

````yaml put /collections/cancel
openapi: 3.0.0
info:
  title: At Last Public Api Service
  description: This is the At Last public api specification.
  version: v1
servers:
  - url: https://api.atlast.co/v1
    description: Production
    variables: {}
security: []
tags: []
paths:
  /collections/cancel:
    put:
      operationId: CollectionCancel_cancelShipmentCollection
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShipmentCollectionCancelRequest'
      responses:
        '200':
          description: The request has succeeded.
      security:
        - OAuth2Auth: []
components:
  schemas:
    ShipmentCollectionCancelRequest:
      type: object
      required:
        - shipmentId
      properties:
        shipmentId:
          type: string
          format: uuid
          description: >-
            The id of the shipment created with the return or simple shipment
            endpoints.
      description: |-
        Home collection details
        **Currently only works for Royal Mail Collections.**
  securitySchemes:
    OAuth2Auth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.atlast.co/oauth2/token
          scopes: {}

````